package com.unis.project.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.project.common.vo.ProjectApprovalAcceptanceVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectApprovalAcceptanceFeign
 * @ProjectName 项目立项验收 ProjectApprovalAcceptanceFeign
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@FeignClient(name = "project-server")
@Component
@Api(value = "项目立项验收 ", tags = "项目立项验收")
public interface ProjectApprovalAcceptanceFeign {

	@PostMapping(value = "/projectApprovalAcceptance")
	@ApiOperation(value = "项目立项验收-新增", notes = "参数：项目立项验收信息对象 model")
	public ResponseWrapper insert(@RequestBody ProjectApprovalAcceptanceVO projectApprovalAcceptanceVO) ;

	@PutMapping(value = "/projectApprovalAcceptance")
	@ApiOperation(value = "项目立项验收-更新", notes = "参数：项目立项验收信息对象 model")
	public ResponseWrapper update(@RequestBody ProjectApprovalAcceptanceVO projectApprovalAcceptanceVO) ;

	@GetMapping(value="/projectApprovalAcceptance/{xmsqId}/{xmlxlx}")
	@ApiOperation(value = "项目立项验收-查询详情", notes = "参数：项目申请id，项目立项类型xmlxlx：1、立项审批。2、项目验收")
	public ResponseWrapper getProjectApprovalAcceptanceInfoById(@PathVariable("xmsqId") String xmsqId,@PathVariable("xmlxlx") Integer xmlxlx) ;

}
