package com.unis.project.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.project.common.vo.ProjectBidingVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 * @Author zoujieli
 * @Description
 * @Date 2019/10/28 10:15
 * Version 1.0
 */
@FeignClient(name = "project-server")
@Component
@Api(value = "项目管理-招标", tags = "项目管理-招标")
public interface ProjectBiddingFeign {

    @ApiOperation(value = "招标信息-查询详情", notes = "参数：项目招标类型:XMZBLX（1、设计招标。2、监理招标。3、建设招标）, 项目申请id:xmsqId")
    @PostMapping(value = "/projectBiddingDetail/{xmsqId}/{xmzblx}")
    public ResponseWrapper getProjectBiddingDetail(@PathVariable("xmsqId") String xmsqId, @PathVariable("xmzblx") Integer xmzblx);

    @ApiOperation(value = "招标信息-新增", notes = "参数：ProjectBidingVO")
    @PostMapping(value = "/projectBidding")
    ResponseWrapper insertProjectBidding(@RequestBody ProjectBidingVO projectBidingVO);


    @ApiOperation(value = "招标信息-更新", notes = "参数：ProjectBidingVO")
    @PutMapping(value = "/projectBidding")
    ResponseWrapper updateProjectBidding(@RequestBody ProjectBidingVO projectBidingVO);
}
