package com.unis.project.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.project.common.vo.ProjectQueryVO;
import com.unis.project.common.vo.ProjectVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectFelgn
 * @ProjectName 项目信息 ProjectFelgn
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@FeignClient(name = "project-server")
@Component
@Api(value = "项目信息 ", tags = "项目信息")
public interface ProjectFeign {

	@ApiOperation(value = "项目信息-查询列表", notes = "参数：项目方案标题，项目年度")
	@PostMapping(value = "/projectList")
	public ResponseWrapper getProjectList(@RequestBody ProjectQueryVO projectQueryVO);

	@ApiOperation(value = "项目信息-分页查询列表", notes = "参数：项目方案标题，项目年度")
	@PostMapping(value = "/projectPage/{pageNum}/{pageSize}")
	public ResponseWrapper getProjectPage(@RequestBody ProjectQueryVO projectQueryVO ,@PathVariable("pageNum")Integer pageNum,@PathVariable("pageSize") Integer pageSize) ;

	@PostMapping(value = "/project")
	@ApiOperation(value = "项目信息-新增", notes = "参数：项目信息对象 model")
	public ResponseWrapper insert(@RequestBody ProjectVO projectVO) ;

	@PutMapping(value = "/project")
	@ApiOperation(value = "项目信息-更新", notes = "参数：项目信息对象 model")
	public ResponseWrapper update(@RequestBody ProjectVO projectVO) ;

	@DeleteMapping(value="/project/{xmId}")
	@ApiOperation(value = "项目信息-删除", notes = "参数：项目信息ID")
	public ResponseWrapper delete(@PathVariable("xmId") String xmId) ;

	@GetMapping(value="/project/{xmId}")
	@ApiOperation(value = "项目信息-查询详情", notes = "参数：项目信息ID")
	public ResponseWrapper getProjectInfoById(@PathVariable("xmId") String xmId) ;

	@PostMapping(value="/projectInfo")
	@ApiOperation(value = "项目信息-获取已发布最新项目信息", notes = "参数：")
	public ResponseWrapper getProjectInfo() ;

	@PostMapping(value="/updateReleaseStatus/{xmId}")
	@ApiOperation(value = "项目信息-发布", notes = "参数：项目信息ID")
	public ResponseWrapper updateReleaseStatus(@PathVariable("xmId") String xmId) ;

}
