package com.unis.project.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.project.common.vo.ProjectFundApplicationVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author zoujieli
 * @Description
 * @Date 2019/10/28 10:15
 * Version 1.0
 */
@FeignClient(name = "project-server")
@Component
@Api(value = "项目管理-资金申请", tags = "项目管理-资金申请")
public interface ProjectFundApplicationFeign {

    @PostMapping(value = "/insertProjectFundApplicationList")
    @ApiOperation(value = "资金申请-新增", notes = "参数：资金申请信息对象 model")
    public ResponseWrapper insertProjectFundApplicationList(@RequestBody List<ProjectFundApplicationVO> projectFundApplicationVOList) ;

    @PostMapping(value = "/updateProjectFundApplicationList")
    @ApiOperation(value = "资金申请-更新", notes = "参数：资金申请信息对象 model")
    public ResponseWrapper updateProjectFundApplicationList(@RequestBody List<ProjectFundApplicationVO> projectFundApplicationVOList) ;

    @GetMapping(value = "/projectFundApplicationList/{xmsqId}")
    @ApiOperation(value = "资金申请-查询详情", notes = "参数：项目申请id")
    public ResponseWrapper getProjectFundApplicationInfoById(@PathVariable("xmsqId") String xmsqId) ;

}
