package com.unis.project.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.project.common.vo.ProjectMonthlyProgressReportQueryVO;
import com.unis.project.common.vo.ProjectMonthlyProgressReportVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectMonthlyProgressReportFeign
 * @ProjectMonthlyProgressReportName 进度月报 ProjectMonthlyProgressReportFeign
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@FeignClient(name = "project-server")
@Component
@Api(value = "进度月报 ", tags = "进度月报")
public interface ProjectMonthlyProgressReportFeign {

	@ApiOperation(value = "进度月报-查询列表", notes = "参数：进度月报，是否调整")
	@PostMapping(value = "/projectMonthlyProgressReportList")
	public ResponseWrapper getProjectMonthlyProgressReportList(@RequestBody ProjectMonthlyProgressReportQueryVO projectMonthlyProgressReportQueryVO);

	@ApiOperation(value = "进度月报-分页查询列表", notes = "参数：进度月报，是否调整")
	@PostMapping(value = "/projectMonthlyProgressReportPage/{pageNum}/{pageSize}")
	public ResponseWrapper getProjectMonthlyProgressReportPage(@RequestBody ProjectMonthlyProgressReportQueryVO projectMonthlyProgressReportQueryVO ,@PathVariable("pageNum")Integer pageNum,@PathVariable("pageSize") Integer pageSize) ;

	@PostMapping(value = "/projectMonthlyProgressReport")
	@ApiOperation(value = "进度月报-新增", notes = "参数：进度月报对象 model")
	public ResponseWrapper insert(@RequestBody ProjectMonthlyProgressReportVO projectMonthlyProgressReportVO) ;

	@PutMapping(value = "/projectMonthlyProgressReport")
	@ApiOperation(value = "进度月报-更新", notes = "参数：进度月报对象 model")
	public ResponseWrapper update(@RequestBody ProjectMonthlyProgressReportVO projectMonthlyProgressReportVO) ;

	@GetMapping(value="/projectMonthlyProgressReport/{xmjdybId}")
	@ApiOperation(value = "进度月报-查询详情", notes = "参数：进度月报ID")
	public ResponseWrapper getProjectMonthlyProgressReportInfoById(@PathVariable("xmjdybId") String xmjdybId) ;

}
