package com.unis.project.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.project.common.vo.ProjectProgressBriefingVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectProgressBriefingFeign
 * @ProjectName 项目进度简报 ProjectProgressBriefingFeign
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@FeignClient(name = "project-server")
@Component
@Api(value = "项目进度简报 ", tags = "项目进度简报")
public interface ProjectProgressBriefingFeign {

	@PostMapping(value = "/projectProgressBriefing")
	@ApiOperation(value = "项目进度简报-新增", notes = "参数：项目进度简报信息对象 model")
	public ResponseWrapper insert(@RequestBody ProjectProgressBriefingVO projectProgressBriefingVO) ;

	@PutMapping(value = "/projectProgressBriefing")
	@ApiOperation(value = "项目进度简报-更新", notes = "参数：项目进度简报信息对象 model")
	public ResponseWrapper update(@RequestBody ProjectProgressBriefingVO projectProgressBriefingVO) ;

	@ApiOperation(value = "项目进度简报-查询详情", notes = "参数：项目申请id")
	@PostMapping(value = "/projectProgressBriefingList/{xmsqId}")
	public ResponseWrapper getProjectMaterialDetailsListById(@PathVariable("xmsqId") String xmsqId);

	@ApiOperation(value = "项目进度简报-查询验收前当前月度数据", notes = "参数：进度月报id")
	@PostMapping(value = "/projectProgressBriefingListByxmjdybId/{xmjdybId}")
	public ResponseWrapper getProjectMaterialDetailsListByxmjdybId(@PathVariable("xmjdybId") String xmjdybId);

	@ApiOperation(value = "项目进度简报-查询当前月度数据对上报数据", notes = "参数：进度月报id")
	@PostMapping(value = "/projectProgressBriefingListByxmjdzt/{xmjdybId}/{xmjdzt}")
	public ResponseWrapper getProjectMaterialDetailsListByxmjdzt(@PathVariable("xmjdybId") String xmjdybId,@PathVariable("xmjdzt") Integer xmjdzt);

	@ApiOperation(value = "项目进度简报-获取待上报当天截止时间数据", notes = "参数：")
	@PostMapping(value = "/projectProgressBriefingIdList")
	public ResponseWrapper getProjectProgressBriefingIdList();
}
