package com.unis.project.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.project.common.vo.ProjectBidingVO;
import com.unis.project.common.vo.ProjectProposalReportVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author zoujieli
 * @Description
 * @Date 2019/10/28 10:15
 * Version 1.0
 */
@FeignClient(name = "project-server")
@Component
@Api(value = "项目管理-项目建议书/可研报告", tags = "项目管理-项目建议书/可研报告")
public interface ProjectProposalReportFeign {

    @ApiOperation(value = "项目建议书/可研报告-新增", notes = "项目建议书/可研报告-新增")
    @PostMapping(value = "/projectProposalReport")
    ResponseWrapper insertProjectProposalReport(@RequestBody ProjectProposalReportVO proposalReportVO);


    @ApiOperation(value = "项目建议书/可研报告-查询详情", notes = "项目建议书/可研报告-查询详情")
    @PostMapping(value = "/projectProposalReportDetail/{xmsqId}/{xmwblx}")
    public ResponseWrapper getProjectProposalReportDetail(@PathVariable("xmsqId") String xmsqId, @PathVariable("xmwblx") Integer xmwblx);


    @ApiOperation(value = "项目建议书/可研报告-更新", notes = "参数：ProjectBidingVO")
    @PutMapping(value = "/projectProposal")
    ResponseWrapper updateProjectProposalReport(@RequestBody ProjectProposalReportVO ProjectProposalReportVO);
}
