package com.unis.project.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.project.common.vo.ProjectTemplateQueryVO;
import com.unis.project.common.vo.ProjectTemplateVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectTemplateFeign
 * @ProjectName 项目模版 ProjectTemplateFeign
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@FeignClient(name = "project-server")
@Component
@Api(value = "项目模版 ", tags = "项目模版")
public interface ProjectTemplateFeign {

	@ApiOperation(value = "项目模版-查询列表", notes = "参数：项目模板名称，项目阶段")
	@PostMapping(value = "/projectTemplateList")
	public ResponseWrapper getProjectTemplateList(@RequestBody ProjectTemplateQueryVO projectTemplateQueryVO);

	@ApiOperation(value = "项目模版-分页查询列表", notes = "参数：项目模板名称，项目阶段")
	@PostMapping(value = "/projectTemplatePage/{pageNum}/{pageSize}")
	public ResponseWrapper getProjectTemplatePage(@RequestBody ProjectTemplateQueryVO projectTemplateQueryVO ,@PathVariable("pageNum")Integer pageNum,@PathVariable("pageSize") Integer pageSize) ;

	@PostMapping(value = "/projectTemplate")
	@ApiOperation(value = "项目模版-新增", notes = "参数：项目模版信息对象 model")
	public ResponseWrapper insert(@RequestBody ProjectTemplateVO projectTemplateVO) ;

	@PutMapping(value = "/projectTemplate")
	@ApiOperation(value = "项目模版-更新", notes = "参数：项目模版信息对象 model")
	public ResponseWrapper update(@RequestBody ProjectTemplateVO projectTemplateVO) ;

	@DeleteMapping(value="/projectTemplate/{xmmbId}")
	@ApiOperation(value = "项目模版-删除", notes = "参数：项目模版ID")
	public ResponseWrapper delete(@PathVariable("xmmbId") String xmmbId) ;

	@GetMapping(value="/projectTemplate/{xmmbId}")
	@ApiOperation(value = "项目模版-查询详情", notes = "参数：项目模版ID")
	public ResponseWrapper getProjectTemplateInfoById(@PathVariable("xmmbId") String xmmbId) ;

}
