package com.unis.project.client;

import com.unis.common.utils.ResponseWrapper;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @ClassName: UserClient
 * @Description: 用户中心
 * @author huyong
 * @date 2019年9月5日
 */

@FeignClient(name = "myuser")
@Component
public interface UserClient {

	@GetMapping("/user/getUserByRole")
	public ResponseWrapper getUserByRole(@RequestParam("roleCode") List<String> roleCode);

	@GetMapping("/config/fingParaConfigList/{paraCode}")
	public ResponseWrapper fingParaConfigList(@PathVariable("paraCode") String paraCode);

	@PostMapping("/user/findUser/{deptsign}/{deptId}")
	public ResponseWrapper findUser(@PathVariable("deptsign") String deptsign, @PathVariable("deptId") String deptId);

	@GetMapping("/user/findUsers")
	public ResponseWrapper findUsers(@RequestParam("deptsign") String deptsign, @RequestParam("deptId") String deptId);

	@GetMapping("/user/findByDeptCode/{deptCode}")
	public ResponseWrapper findByDeptCode(@PathVariable("deptCode") String deptCode);
}
