package com.unis.project.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;

/**
 * @author WangZL
 * @version 1.0
 * @Title FileVO
 * @ProjectName 文件实体类
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("文件业务对象")
public class FileVO extends BaseVO {

    @ApiModelProperty(value = "主键ID", notes ="主键ID", required = false)
    @Column(name = "ID")
    private Integer id;

    @ApiModelProperty(value = "数据id(针对表中数据主键)", notes ="数据id(针对表中数据主键)", required = false)
    @Column(name = "SJ_ID")
    private String sjId;

    @ApiModelProperty(value = "文件ID", notes ="文件ID", required = false)
    @Column(name = "FILE_ID")
    private String fileId;

    @ApiModelProperty(value = "文件类型0、附件。1、文件/项目验收材料类型：1、天津市粮油仓储设施维修改造项目验收报告PPT。" +
            "2、天津市粮油仓储设施维修改造项目验收报告doc。3、项目方案 （提交专家评审组的项目方案）。4、专家评审表。5、发改委立项批复或者项目备案材料。" +
            "6、设计和监理合同及备案手续。7、施工图纸、施工预算书。8、项目工程预算评审报告。9、项目招投标材料及中标通知书。10、项目资金申请报告及下达资金计划通知。" +
            "11、工程竣工验收报告。12、项目决算报告。13、项目设计合同。14、项目咨询合同。15、项目招标代理合同。16、项目工程监理合同。" +
            "17、项目建设施工合同。18、项目变更设计图。19、项目变更洽商记录。20、天津市粮油仓储设施维修改造项目资金使用情况表。21、有关付款凭证及票据",
            notes ="文件类型0、附件。1、文件/项目验收材料类型：1、天津市粮油仓储设施维修改造项目验收报告PPT。2、天津市粮油仓储设施维修改造项目验收报告doc。" +
                    "3、项目方案 （提交专家评审组的项目方案）。4、专家评审表。5、发改委立项批复或者项目备案材料。6、设计和监理合同及备案手续。" +
                    "7、施工图纸、施工预算书。8、项目工程预算评审报告。9、项目招投标材料及中标通知书。10、项目资金申请报告及下达资金计划通知。" +
                    "11、工程竣工验收报告。12、项目决算报告。13、项目设计合同。14、项目咨询合同。15、项目招标代理合同。16、项目工程监理合同。" +
                    "17、项目建设施工合同。18、项目变更设计图。19、项目变更洽商记录。20、天津市粮油仓储设施维修改造项目资金使用情况表。" +
                    "21、有关付款凭证及票据", required = false)
    @Column(name = "FILE_TYPE")
    private Integer fileType;

    @ApiModelProperty(value = "收件人", notes ="收件人", required = false)
    @Column(name = "SJR")
    private String sjr;

    @ApiModelProperty(value = "主题", notes ="主题", required = false)
    @Column(name = "WJZT")
    private String wjzt;

    @ApiModelProperty(value = "内容", notes ="内容", required = false)
    @Column(name = "WJNR")
    private String wjnr;

    @ApiModelProperty(value = "发件人", notes ="发件人", required = false)
    @Column(name = "FJR")
    private String fjr;

    @ApiModelProperty(value = "文件名称", notes ="文件名称", required = false)
    @Column(name = "FILE_NAME")
    private String fileName;

    @ApiModelProperty(value = "文件状态 0、未下发。1、已下发", notes ="文件状态 0、未下发。1、已下发", required = false)
    @Column(name = "FILE_STATUS")
    private Integer fileStatus;

    public FileVO(Integer id, String sjId, String fileId, Integer fileType, String sjr, String wjzt,
                  String wjnr, String fjr, String fileName, Integer fileStatus) {
        super();
        this.id = id;
        this.sjId = sjId;
        this.fileId = fileId;
        this.fileType = fileType;
        this.sjr = sjr;
        this.wjzt = wjzt;
        this.wjnr = wjnr;
        this.fjr = fjr;
        this.fileName = fileName;
        this.fileStatus = fileStatus;
    }

    public FileVO() {
    }
}