package com.unis.project.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectAcceptanceMaterialTypeVO
 * @ProjectName 项目验收材料业务对象
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("项目验收材料业务对象")
public class ProjectAcceptanceMaterialTypeVO {

    @ApiModelProperty(value = "项目验收材料类型：1、天津市粮油仓储设施维修改造项目验收报告PPT。2、天津市粮油仓储设施维修改造项目验收报告doc。" +
            "3、项目方案 （提交专家评审组的项目方案）。4、专家评审表。5、发改委立项批复或者项目备案材料。6、设计和监理合同及备案手续。" +
            "7、施工图纸、施工预算书。8、项目工程预算评审报告。9、项目招投标材料及中标通知书。10、项目资金申请报告及下达资金计划通知。" +
            "11、工程竣工验收报告。12、项目决算报告。13、项目设计合同。14、项目咨询合同。15、项目招标代理合同。16、项目工程监理合同。" +
            "17、项目建设施工合同。18、项目变更设计图。19、项目变更洽商记录。20、天津市粮油仓储设施维修改造项目资金使用情况表。21、有关付款凭证及票据",
            notes ="项目验收材料类型：1、天津市粮油仓储设施维修改造项目验收报告PPT。2、天津市粮油仓储设施维修改造项目验收报告doc。" +
                    "3、项目方案 （提交专家评审组的项目方案）。4、专家评审表。5、发改委立项批复或者项目备案材料。6、设计和监理合同及备案手续。" +
                    "7、施工图纸、施工预算书。8、项目工程预算评审报告。9、项目招投标材料及中标通知书。10、项目资金申请报告及下达资金计划通知。" +
                    "11、工程竣工验收报告。12、项目决算报告。13、项目设计合同。14、项目咨询合同。15、项目招标代理合同。16、项目工程监理合同。" +
                    "17、项目建设施工合同。18、项目变更设计图。19、项目变更洽商记录。20、天津市粮油仓储设施维修改造项目资金使用情况表。" +
                    "21、有关付款凭证及票据", required = false)
    @Column(name = "XMYSCLLX")
    private Integer xmyscllx;

    @ApiModelProperty(value = "项目材料附件", notes ="项目材料附件", required = false)
    private List<FileVO> xmclFileList;

    public ProjectAcceptanceMaterialTypeVO(Integer xmyscllx, List<FileVO> xmclFileList) {
        super();
        this.xmyscllx = xmyscllx;
        this.xmclFileList = xmclFileList;
    }

    public ProjectAcceptanceMaterialTypeVO() {
    }
}