package com.unis.project.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectBidingDO
 * @ProjectName 项目招标实体类
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMZB")
@ApiModel("项目招标业务对象")
public class ProjectBidingVO extends BaseVO {

    @ApiModelProperty(value = "项目招标id", notes ="项目招标id", required = false)
    @Id
    @Column(name = "XMZB_ID")
    private String xmzbId;

    @ApiModelProperty(value = "项目申请id", notes ="项目申请id", required = false)
    @Column(name = "XMSQ_ID")
    private String xmsqId;

    @ApiModelProperty(value = "项目招标备案编号", notes ="项目招标备案编号", required = false)
    @Column(name = "XMZBBABH")
    private String xmzbbabh;

    @ApiModelProperty(value = "项目招标方式", notes ="项目招标方式", required = false)
    @Column(name = "XMZBFS")
    private String xmzbfs;

    @ApiModelProperty(value = "项目招标价格", notes ="项目招标价格", required = false)
    @Column(name = "XMZBJG")
    private BigDecimal xmzbjg;

    @ApiModelProperty(value = "中标价格", notes ="中标价格", required = false)
    @Column(name = "ZBJG")
    private BigDecimal zbjg;

    @ApiModelProperty(value = "中标单位", notes ="中标单位", required = false)
    @Column(name = "ZBDW")
    private String zbdw;

    @ApiModelProperty(value = "中标时间", notes ="中标时间", required = false)
    @Column(name = "ZBSJ")
    private Date zbsj;

    @ApiModelProperty(value = "项目招标类型：1、设计招标。2、监理招标。3、建设招标", notes ="项目招标类型：1、设计招标。2、监理招标。3、建设招标", required = false)
    @Column(name = "XMZBLX")
    private Integer xmzblx;

    @ApiModelProperty(value = "组织机构id", notes ="组织机构id", required = false)
    @Column(name = "ORGID")
    private String orgid;

    @ApiModelProperty(value = "项目招标情况材料", notes ="项目招标情况材料", required = false)
    private List<ProjectMaterialDetailsVO> xmzbqkList;


    public ProjectBidingVO(String xmzbId, String xmsqId, String xmzbbabh, String xmzbfs, BigDecimal xmzbjg, BigDecimal zbjg,
                           String zbdw, Date zbsj, Integer xmzblx, String orgid, List<ProjectMaterialDetailsVO> xmzbqkList) {
        super();
        this.xmzbId = xmzbId;
        this.xmsqId = xmsqId;
        this.xmzbbabh = xmzbbabh;
        this.xmzbfs = xmzbfs;
        this.xmzbjg = xmzbjg;
        this.zbjg = zbjg;
        this.zbdw = zbdw;
        this.zbsj = zbsj;
        this.xmzblx = xmzblx;
        this.orgid = orgid;
        this.xmzbqkList = xmzbqkList;
    }

    public ProjectBidingVO() {
    }
}