package com.unis.project.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectFundApplicationDO
 * @ProjectName 项目资金申请实体类
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMZJSQ")
@ApiModel("项目资金申请业务对象")
public class ProjectFundApplicationVO extends BaseVO {

    @ApiModelProperty(value = "项目资金申请id", notes ="项目资金申请id", required = false)
    @Id
    @Column(name = "XMZJSQ_ID")
    private String xmzjsqId;

    @ApiModelProperty(value = "项目申请id", notes ="项目申请id", required = false)
    @Column(name = "XMSQ_ID")
    private String xmsqId;

    @ApiModelProperty(value = "项目送审预算", notes ="项目送审预算", required = false)
    @Column(name = "XMSSYS")
    private BigDecimal xmssys;

    @ApiModelProperty(value = "项目审定预算", notes ="项目审定预算", required = false)
    @Column(name = "XMSDYS")
    private BigDecimal xmsdys;

    @ApiModelProperty(value = "项目中标价格", notes ="项目中标价格", required = false)
    @Column(name = "XMZBJG")
    private BigDecimal xmzbjg;

    @ApiModelProperty(value = "项目申请价格", notes ="项目申请价格", required = false)
    @Column(name = "XMSQJG")
    private BigDecimal xmsqjg;

    @ApiModelProperty(value = "评审专家（组长）", notes ="评审专家（组长）", required = false)
    @Column(name = "PSZJZZ")
    private String pszjzz;

    @ApiModelProperty(value = "评审专家（成员）", notes ="评审专家（成员）", required = false)
    @Column(name = "PSZJZY")
    private String pszjzy;

    @ApiModelProperty(value = "评审结果状态 0、驳回。1、通过", notes ="评审结果状态 0、驳回。1、通过", required = false)
    @Column(name = "PSJGZT")
    private Integer psjgzt;

    @ApiModelProperty(value = "评审意见", notes ="评审意见", required = false)
    @Column(name = "PSYJ")
    private String psyj;

    @ApiModelProperty(value = "是否二次送审。1、是。0、否", notes ="是否二次送审。1、是。0、否", required = false)
    @Column(name = "SFECSS")
    private Integer sfecss;

    @ApiModelProperty(value = "组织机构id", notes ="组织机构id", required = false)
    @Column(name = "ORGID")
    private String orgid;

    @ApiModelProperty(value = "项目资金申请材料", notes ="项目资金申请材料", required = false)
    private List<ProjectMaterialDetailsVO> xmzjsqList;

    public ProjectFundApplicationVO(String xmzjsqId, String xmsqId, BigDecimal xmssys, BigDecimal xmsdys,
                                    BigDecimal xmzbjg, BigDecimal xmsqjg, String pszjzz, String pszjzy, Integer psjgzt,
                                    String psyj, Integer sfecss, String orgid, List<ProjectMaterialDetailsVO> xmzjsqList) {
        super();
        this.xmzjsqId = xmzjsqId;
        this.xmsqId = xmsqId;
        this.xmssys = xmssys;
        this.xmsdys = xmsdys;
        this.xmzbjg = xmzbjg;
        this.xmsqjg = xmsqjg;
        this.pszjzz = pszjzz;
        this.pszjzy = pszjzy;
        this.psjgzt = psjgzt;
        this.psyj = psyj;
        this.sfecss = sfecss;
        this.orgid = orgid;
        this.xmzjsqList = xmzjsqList;
    }

    public ProjectFundApplicationVO() {
    }
}