package com.unis.project.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectMaterialDetailsQueryVO
 * @ProjectName 项目材料详情查询业务对象
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMCLXQ")
@ApiModel("项目材料详情查询业务对象")
public class ProjectMaterialDetailsQueryVO  {

    @ApiModelProperty(value = "数据id", notes ="数据id", required = false)
    @Column(name = "SJ_ID")
    private String sjId;

    @ApiModelProperty(value = "项目材料类型：1、项目申请条件。2、项目申请材料。3、设计招标附件。4、项目建议书附件。5、可研报告附件。6、可研报告审核附件。7、立项审批附件。8、监理招标附件。9、建设招标附件。10、资金申请附件。11、项目验收附件。12、项目验收审核附件。13、项目补充材料附件。14、项目建议书审核附件",
            notes ="项目材料类型：1、项目申请条件。2、项目申请材料。3、设计招标附件。4、项目建议书附件。5、可研报告附件。6、可研报告审核附件。7、立项审批附件。8、监理招标附件。9、建设招标附件。10、资金申请附件。11、项目验收附件。12、项目验收审核附件。13、项目补充材料附件。14、项目建议书审核附件", required = false)
    @Column(name = "XMCLLX")
    private Integer xmcllx;

    @ApiModelProperty(value = "补充材料是否提交：1、是。0、否", notes ="补充材料是否提交：1、是。0、否", required = false)
    @Column(name = "BCCLTJ")
    private Integer bccltj;

    @ApiModelProperty(value = "是否删除：1、是。0、否", notes ="是否删除：1、是。0、否", required = false)
    @Column(name = "isdelete")
    private Integer isdelete;

    public ProjectMaterialDetailsQueryVO(String sjId, Integer xmcllx, Integer bccltj, Integer isdelete) {
        super();
        this.sjId = sjId;
        this.xmcllx = xmcllx;
        this.bccltj = bccltj;
        this.isdelete = isdelete;
    }

    public ProjectMaterialDetailsQueryVO() {
    }
}