package com.unis.project.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectProgressBriefingVO
 * @ProjectName 项目进度简报业务对象
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMJDJB")
@ApiModel("项目进度简报业务对象")
public class ProjectProgressBriefingVO extends BaseVO {

    @ApiModelProperty(value = "进度简报id", notes ="进度简报id", required = false)
    @Id
    @Column(name = "XMJDJB_ID")
    private String xmjdjbId;

    @ApiModelProperty(value = "项目申请id", notes ="项目申请id", required = false)
    @Column(name = "XMSQ_ID")
    private String xmsqId;

    @ApiModelProperty(value = "进度月报id", notes ="进度月报id", required = false)
    @Column(name = "XMJDYB_ID")
    private String xmjdybId;

    @ApiModelProperty(value = "项目进度状态：1、待上报。2、已上报。3、未上报", notes ="项目进度状态：1、待上报。2、已上报。3、未上报", required = false)
    @Column(name = "XMJDZT")
    private Integer xmjdzt;

    @ApiModelProperty(value = "完成投资占比（%）", notes ="完成投资占比（%）", required = false)
    @Column(name = "WCTZZB")
    private BigDecimal wctzzb;

    @ApiModelProperty(value = "项目形象进度（%）", notes ="项目形象进度（%）", required = false)
    @Column(name = "XMXXJD")
    private BigDecimal xmxxjd;

    @ApiModelProperty(value = "本月建设内容", notes ="本月建设内容", required = false)
    @Column(name = "BYJZNR")
    private String byjznr;

    @ApiModelProperty(value = "进度上报时间", notes ="进度上报时间", required = false)
    @Column(name = "JDSBSJ")
    private Date jdsbsj;

    @ApiModelProperty(value = "组织机构id", notes ="组织机构id", required = false)
    @Column(name = "ORGID")
    private String orgid;

    @ApiModelProperty(value = "进度月报年", notes ="进度月报年", required = false)
    @Column(name = "JDYD_YEAR")
    private Integer jdydYear;

    @ApiModelProperty(value = "进度月报月", notes ="进度月报月", required = false)
    @Column(name = "JDYD_MONTH")
    private Integer jdydMonth;

    @ApiModelProperty(value = "月报截止时间", notes ="月报截止时间", required = false)
    @Column(name = "YBJZRQ")
    private Date ybjzrq;

    @ApiModelProperty(value = "项目进度附件", notes ="项目进度附件", required = false)
    private List<FileVO> xmjdjbList;

    public ProjectProgressBriefingVO(String xmjdjbId, String xmsqId, String xmjdybId, Integer xmjdzt, BigDecimal wctzzb,
                                     BigDecimal xmxxjd, String byjznr, Date jdsbsj, String orgid, Integer jdydYear,
                                     Integer jdydMonth, Date ybjzrq, List<FileVO> xmjdjbList) {
        super();
        this.xmjdjbId = xmjdjbId;
        this.xmsqId = xmsqId;
        this.xmjdybId = xmjdybId;
        this.xmjdzt = xmjdzt;
        this.wctzzb = wctzzb;
        this.xmxxjd = xmxxjd;
        this.byjznr = byjznr;
        this.jdsbsj = jdsbsj;
        this.orgid = orgid;
        this.jdydYear = jdydYear;
        this.jdydMonth = jdydMonth;
        this.ybjzrq = ybjzrq;
        this.xmjdjbList = xmjdjbList;
    }

    public ProjectProgressBriefingVO() {
    }
}