package com.unis.project.common.vo;

import com.unis.project.common.vo.backlog.ReceiverCollectionVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectProposalReportDO
 * @ProjectName 项目建议书报告实体类
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMJYSBG")
@ApiModel("项目建议书报告业务对象")
public class ProjectProposalReportVO extends BaseVO {

    @ApiModelProperty(value = "项目建议书报告id", notes ="项目建议书报告id", required = false)
    @Id
    @Column(name = "XMJYSBG_ID")
    private String xmjysbgId;

    @ApiModelProperty(value = "项目申请id", notes ="项目申请id", required = false)
    @Column(name = "XMSQ_ID")
    private String xmsqId;

    @ApiModelProperty(value = "项目名称", notes ="项目名称", required = false)
    @Column(name = "XMMC")
    private String xmmc;

    @ApiModelProperty(value = "项目建设单位", notes ="项目建设单位", required = false)
    @Column(name = "XMJSDW")
    private String xmjsdw;

    @ApiModelProperty(value = "项目主体公司", notes ="项目主体公司", required = false)
    @Column(name = "XMZTGS")
    private String xmztgs;

    @ApiModelProperty(value = "项目位置", notes ="项目位置", required = false)
    @Column(name = "XMWZ")
    private String xmwz;

    @ApiModelProperty(value = "项目内容", notes ="项目内容", required = false)
    @Column(name = "XMNR")
    private String xmnr;

    @ApiModelProperty(value = "预期情况", notes ="预期情况", required = false)
    @Column(name = "YQXG")
    private String yqxg;

    @ApiModelProperty(value = "项目投资情况和资金来源", notes ="项目投资情况和资金来源", required = false)
    @Column(name = "XMTZQKHZJLY")
    private String xmtzqkhzjly;

    @ApiModelProperty(value = "项目建设期", notes ="项目建设期", required = false)
    @Column(name = "XMJSQ")
    private String xmjsq;

    @ApiModelProperty(value = "项目文本类型：1、项目建议书。2、可研报告", notes ="项目文本类型：1、项目建议书。2、可研报告", required = false)
    @Column(name = "XMWBLX")
    private Integer xmwblx;

    @ApiModelProperty(value = "评审专家（组长）", notes ="评审专家（组长）", required = false)
    @Column(name = "PSZJZZ")
    private String pszjzz;

    @ApiModelProperty(value = "评审专家（成员）", notes ="评审专家（成员）", required = false)
    @Column(name = "PSZJZY")
    private String pszjzy;

    @ApiModelProperty(value = "评审结果状态 0、驳回。1、通过", notes ="评审结果状态 0、驳回。1、通过", required = false)
    @Column(name = "PSJGZT")
    private Integer psjgzt;

    @ApiModelProperty(value = "评审意见", notes ="评审意见", required = false)
    @Column(name = "PSYJ")
    private String psyj;

    @ApiModelProperty(value = "组织机构id", notes ="组织机构id", required = false)
    @Column(name = "ORGID")
    private String orgid;

    @ApiModelProperty(value = "项目建议书报告材料", notes ="项目建议书报告材料", required = false)
    private List<ProjectMaterialDetailsVO> xmjysbgList;

    @ApiModelProperty(value = "项目报告审核材料", notes ="项目报告审核材料", required = false)
    private List<ProjectMaterialDetailsVO> xmbgshList;



    //添加代办事项----张新亮
    //事项名称
    @Transient
    private String itemName;
    @Transient
    private String itemQuery;
    @Transient
    private String itemQueryHaveDone;
    @Transient
    private String itemUrlHaveDone;
    //跳转路径
    @Transient
    private String url;
    @Transient
    private String companyName;
    @Transient
    private String submitter;
    @Transient
    private String submitterId;
    @Transient
    private String handler;
    @Transient
    private String handlerId;
    //机构名称
    @Transient
    private String orgName;
    @Transient
    private List<ReceiverCollectionVO> userList;





    public ProjectProposalReportVO(String xmjysbgId, String xmsqId, String xmmc, String xmjsdw, String xmztgs,
                                   String xmwz, String xmnr, String yqxg, String xmtzqkhzjly, String xmjsq,
                                   Integer xmwblx, String pszjzz, String pszjzy, Integer psjgzt, String psyj,
                                   String orgid, List<ProjectMaterialDetailsVO> xmjysbgList,
                                   List<ProjectMaterialDetailsVO> xmbgshList) {
        super();
        this.xmjysbgId = xmjysbgId;
        this.xmsqId = xmsqId;
        this.xmmc = xmmc;
        this.xmjsdw = xmjsdw;
        this.xmztgs = xmztgs;
        this.xmwz = xmwz;
        this.xmnr = xmnr;
        this.yqxg = yqxg;
        this.xmtzqkhzjly = xmtzqkhzjly;
        this.xmjsq = xmjsq;
        this.xmwblx = xmwblx;
        this.pszjzz = pszjzz;
        this.pszjzy = pszjzy;
        this.psjgzt = psjgzt;
        this.psyj = psyj;
        this.orgid = orgid;
        this.xmjysbgList = xmjysbgList;
        this.xmbgshList = xmbgshList;
    }

    public ProjectProposalReportVO() {
    }
}