package com.unis.project.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectQueryVO
 * @ProjectName 项目信息查询业务对象
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMXX")
@ApiModel("项目信息查询业务对象")
public class ProjectQueryVO {

    @ApiModelProperty(value = "项目方案标题", notes ="项目方案标题", required = false)
    @Column(name = "XMFAXQ")
    private String xmfabt;

    @ApiModelProperty(value = "项目年度", notes ="项目年度", required = false)
    @Column(name = "XMND")
    private String xmnd;

    @ApiModelProperty(value = "发布状态 0、未下发。1、已下发", notes ="项目状态 0、未下发。1、已下发", required = false)
    @Column(name = "FBZT")
    private Integer fbzt;

    @ApiModelProperty(value = "组织机构id", notes ="组织机构id", required = false)
    @Column(name = "ORGID")
    private String orgid;

    public ProjectQueryVO(String xmfabt, String xmnd, Integer fbzt, String orgid) {
        super();
        this.xmfabt = xmfabt;
        this.xmnd = xmnd;
        this.fbzt = fbzt;
        this.orgid = orgid;
    }

    public ProjectQueryVO() {
    }
}