package com.unis.project.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;
import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectTemplateVO
 * @ProjectName 项目模版业务对象
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMMB")
@ApiModel("项目模版业务对象")
public class ProjectTemplateVO extends BaseVO {

    @ApiModelProperty(value = "项目模版id", notes ="项目模版id", required = false)
    @Id
    @Column(name = "XMMB_ID")
    private String xmmbId;

    @ApiModelProperty(value = "项目模板名称", notes ="项目模板名称", required = false)
    @Column(name = "XMMBMC")
    private String xmmbmc;

    @ApiModelProperty(value = "项目阶段", notes ="项目阶段", required = false)
    @Column(name = "XMJD")
    private String xmjd;

    @ApiModelProperty(value = "项目模板简介", notes ="项目模板简介", required = false)
    @Column(name = "XMMBJJ")
    private String xmmbjj;

    @ApiModelProperty(value = "发布人", notes ="发布人", required = false)
    @Column(name = "XMFBR")
    private String xmfbr;

    @ApiModelProperty(value = "发布时间", notes ="发布时间", required = false)
    @Column(name = "XMFBSJ")
    private Date xmfbsj;

    @ApiModelProperty(value = "项目模版附件", notes ="项目模版附件", required = false)
    private List<FileVO> templateFileList;

    public ProjectTemplateVO(String xmmbId, String xmmbmc, String xmjd, String xmmbjj, String xmfbr, Date xmfbsj, List<FileVO> templateFileList) {
        super();
        this.xmmbId = xmmbId;
        this.xmmbmc = xmmbmc;
        this.xmjd = xmjd;
        this.xmmbjj = xmmbjj;
        this.xmfbr = xmfbr;
        this.xmfbsj = xmfbsj;
        this.templateFileList = templateFileList;
    }

    public ProjectTemplateVO() {
    }

}