package com.unis.project.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectVO
 * @ProjectName 项目信息业务对象
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMXX")
@ApiModel("项目信息业务对象")
public class ProjectVO extends BaseVO {

    @ApiModelProperty(value = "项目id", notes ="项目id", required = false)
    @Id
    @Column(name = "XM_ID")
    private String xmId;

    @ApiModelProperty(value = "项目方案标题", notes ="项目方案标题", required = false)
    @Column(name = "XMFABT")
    private String xmfabt;

    @ApiModelProperty(value = "项目年度", notes ="项目年度", required = false)
    @Column(name = "XMND")
    private String xmnd;

    @ApiModelProperty(value = "项目方案详情", notes ="项目方案详情", required = false)
    @Column(name = "XMFAXQ")
    private String xmfaxq;

    @ApiModelProperty(value = "发布状态 0、未下发。1、已下发", notes ="项目状态 0、未下发。1、已下发", required = false)
    @Column(name = "FBZT")
    private Integer fbzt;

    @ApiModelProperty(value = "发布时间", notes ="发布时间", required = false)
    @Column(name = "FBSJ")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date fbsj;

    @ApiModelProperty(value = "截止时间", notes ="截止时间", required = false)
    @Column(name = "XMJZSJ")
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date xmjzsj;

    @ApiModelProperty(value = "组织机构id", notes ="组织机构id", required = false)
    @Column(name = "ORGID")
    private String orgid;

    @ApiModelProperty(value = "项目申请条件材料", notes ="项目申请条件材料", required = false)
    private List<ProjectMaterialDetailsVO> xmsqtjList;


    public ProjectVO(String xmId, String xmfabt, String xmnd, String xmfaxq, Integer fbzt, Date fbsj, Date xmjzsj, String orgid,
                     List<ProjectMaterialDetailsVO> xmsqtjList

    ) {
        super();
        this.xmId = xmId;
        this.xmfabt = xmfabt;
        this.xmnd = xmnd;
        this.xmfaxq = xmfaxq;
        this.fbzt = fbzt;
        this.fbsj = fbsj;
        this.xmjzsj = xmjzsj;
        this.orgid = orgid;
        this.xmsqtjList = xmsqtjList;
    }

    public ProjectVO() {
    }
}