package com.unis.project.common.vo.backlog;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.utils.CurrentUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @Description：待办新增VO
 * @author：王帅
 * @date: 2020年1月7日 下午4:20:45
 */
@Data
@ApiModel(value = "BacklogAddVO（待办新增VO）")
public class BacklogAddVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "事项Id")
	private String itemId; // 事项Id

	@ApiModelProperty(value = "事项名称")
	private String itemName; // 事项名称

	@ApiModelProperty(value = "事项类型")
	private String itemType;// 事项类型

	@ApiModelProperty(value = "事项详情Url")
	private String itemUrl;// 事项详情url

	@ApiModelProperty(value = "系统标识")
	private String sysCode; // 系统标识

	@ApiModelProperty(value = "待办事项当前状态名称")
	private String itemStatusName; // 待办事项当前状态名称

	@ApiModelProperty(value = "待办事项当前状态码")
	private Integer itemStatus; // 待办事项当前状态码

	@ApiModelProperty(value = "发起人单位名称")
	private String companyName; // 发起人单位

	@ApiModelProperty(value = "详情跳转参数 ")
	private String itemQuery; // 详情跳转参数

	private String itemQueryHaveDone;
	private String itemUrlHaveDone;

	@ApiModelProperty(value = "接收人")
	private String receiver; // 接收人
	
	@ApiModelProperty(value = "接收人主键")
	private String receiverId; // 接收人主键
	
	@ApiModelProperty(value = "接收人所在部门")
	private String receiverOrgCode; // 接收人所在部门

	@ApiModelProperty(value = "发起人")
	private String submitter; // 提交人
	
	@ApiModelProperty(value = "发起人主键")
	private String submitterId; // 提交人主键

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "提交时间")
	private Date reportDate;// 提交时间

	//初始化参数
	public void buildAddVO(BacklogAddVO addVO) {
		addVO.setSysCode(BacklogConstant.PM);
		//addVO.setCompanyName(CurrentUtil.getOrgName());
		addVO.setReportDate(new Date());
		//addVO.setSubmitter(CurrentUtil.getUserName());
		//addVO.setSubmitterId(CurrentUtil.getUserId());
	}
}
