package com.unis.project.common.vo.backlog;

import com.unis.common.utils.CurrentUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @Description：待办修改VO
 * @author：王帅
 * @date: 2020年1月7日 下午4:39:58
 */
@Data
@ApiModel(value = "BacklogUpdateVO（待办修改VO）")
public class BacklogUpdateVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "事项Id")
	private String itemId; // 事项Id

	@ApiModelProperty(value = "事项名称")
	private String itemName; // 事项名称

	@ApiModelProperty(value = "事项类型")
	private String itemType;// 事项类型

	@ApiModelProperty(value = "事项详情Url")
	private String itemUrl;// 事项详情url

	@ApiModelProperty(value = "系统标识")
	private String sysCode; // 系统标识

	@ApiModelProperty(value = "待办事项当前状态名称")
	private String itemStatusName; // 待办事项当前状态名称

	@ApiModelProperty(value = "待办事项当前状态码")
	private Integer itemStatus; // 待办事项当前状态码
	
	@ApiModelProperty(value = "处理人")
	private String handler; // 处理人

	@ApiModelProperty(value = "处理人主键")
	private String handlerId;

	@ApiModelProperty(value = "处理时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date handlingTime; // 处理时间

	public void buildUpdateVO(BacklogUpdateVO updateVO) {
		updateVO.setSysCode(BacklogConstant.PM);
		updateVO.setHandlingTime(new Date());
		//updateVO.setHandler(CurrentUtil.getUserName());
		//updateVO.setHandlerId(CurrentUtil.getUserId());
	}
}
