package com.unis.project.server.dao;

import com.unis.project.common.vo.FileQueryVO;
import com.unis.project.common.vo.FileVO;
import com.unis.project.server.entity.FileDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 文件信息
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface FileDao extends Mapper<FileDO> {

    /**
     * 获取文件列表
     * @param fileQueryVO
     * @return
     */
    List<FileVO> getFileList(FileQueryVO fileQueryVO);

    /**
     * 新增文件信息
     * @return
     */
    int insert(FileDO record);

    int insertSelective(FileDO record);

    /**
     * 更新文件信息
     * @param fileDO
     * @return
     */
    int update(FileDO fileDO);

    /**
     * 根据ID获取文件信息
     * @param id
     * @return
     */
    FileDO getFileInfo(@Param("id") Integer id);

    /**
     * 根据数据ID获取文件列表
     * @param sjId
     * @return
     */
    List<FileDO> getFileListBySjId(@Param("sjId") String sjId);

    /**
     * 获取最大主键ID
     * @return
     */
    Integer selectMaxId();

    /**
     * 获取数据最大ID
     * @param prefix
     * @return
     */
    String getMaxCodeById(@Param("prefix") String prefix);

    /**
     * 更新上传附件业务id
     * @param xmsqId
     * @param fileId
     * @return
     */
    int updateSysFileBusinessId(@Param("xmsqId")String xmsqId,@Param("status")Integer status,@Param("fileId")String fileId);

}