package com.unis.project.server.dao;

import com.unis.project.common.vo.ProjectApplicationVO;
import com.unis.project.common.vo.ProjectQueryVO;
import com.unis.project.server.entity.ProjectApplicationDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 项目申请
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface ProjectApplicationDao extends Mapper<ProjectApplicationDO> {

    /**
     * 新增项目申请信息
     * @param projectApplicationDO
     * @return
     */
    int insert(ProjectApplicationDO projectApplicationDO);

    int insertSelective(ProjectApplicationDO record);

    /**
     * 更新项目申请信息
     * @param projectApplicationDO
     * @return
     */
    int update(ProjectApplicationDO projectApplicationDO);

    /**
     * 获取项目申请列表
     * @param projectQueryVO
     * @return
     */
    List<ProjectApplicationVO> getProjectApplicationList(ProjectQueryVO projectQueryVO);

    /**
     * 根据项目申请ID获取项目申请信息
     * @param xmsqId
     * @return
     */
    ProjectApplicationVO getProjectApplicationInfo(@Param("xmsqId") String xmsqId);

    /**
     * 获取数据最大ID
     * @param prefix
     * @return
     */
    String getMaxCodeById(@Param("prefix") String prefix);

    /**
     * 获取资金申请提交后和验收申请提交前数据
     * @return
     */
    List<String> getProjectApplicationIdList();

    /**
     * 获取当天截止时间的项目申请id
     * @return
     */
    List<String> getProjectInfoDate();
}