package com.unis.project.server.dao;

import com.unis.project.common.vo.ProjectApprovalAcceptanceVO;
import com.unis.project.server.entity.ProjectApprovalAcceptanceDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

/**
 * 项目立项验收
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface ProjectApprovalAcceptanceDao extends Mapper<ProjectApprovalAcceptanceDO> {

    /**
     * 新增项目立项验收信息
     * @param projectApprovalAcceptanceDO
     * @return
     */
    int insert(ProjectApprovalAcceptanceDO projectApprovalAcceptanceDO);

    int insertSelective(ProjectApprovalAcceptanceDO record);

    /**
     * 更新项目立项验收信息
     * @param projectApprovalAcceptanceDO
     * @return
     */
    int update(ProjectApprovalAcceptanceDO projectApprovalAcceptanceDO);

    /**
     * 根据项目申请ID和立项类型获取项目立项验收信息
     * @param projectApprovalAcceptanceVO
     * @return
     */
    ProjectApprovalAcceptanceDO getProjectApprovalAcceptanceInfo(ProjectApprovalAcceptanceVO projectApprovalAcceptanceVO);

    /**
     * 获取数据最大ID
     * @param prefix
     * @return
     */
    String getMaxCodeById(@Param("prefix") String prefix);
}