package com.unis.project.server.dao;

import com.unis.project.common.vo.ProjectBidingVO;
import com.unis.project.server.entity.ProjectBidingDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

/**
 * 项目招标
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface ProjectBidingDao extends Mapper<ProjectBidingDO> {

    /**
     * 新增
     * @param projectBidingDO
     * @return
     */
    int insertSelective(ProjectBidingDO projectBidingDO);

    /**
     * 更新
     * @param projectBidingDO
     * @return
     */
    int update(ProjectBidingDO projectBidingDO);

    /**
     * 查询详情
     * @param projectBidingVO
     * @return
     */
    ProjectBidingDO getProjectBidingInfo(ProjectBidingVO projectBidingVO);

    /**
     * 获取数据最大ID
     * @param prefix
     * @return
     */
    String getMaxCodeById(@Param("prefix") String prefix);

}