package com.unis.project.server.dao;

import com.unis.project.common.vo.ProjectQueryVO;
import com.unis.project.common.vo.ProjectVO;
import com.unis.project.server.entity.ProjectDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 项目信息
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface ProjectDao extends Mapper<ProjectDO> {

    /**
     * 获取项目列表
     * @param projectQueryVO
     * @return
     */
    List<ProjectVO> getProjectList(ProjectQueryVO projectQueryVO);

    /**
     * 新增项目信息
     * @param projectDO
     * @return
     */
    int insert(ProjectDO projectDO);

    int insertSelective(ProjectDO record);

    /**
     * 更新项目信息
     * @param projectDO
     * @return
     */
    int update(ProjectDO projectDO);

    /**
     * 根据项目ID获取项目信息
     * @param xmId
     * @return
     */
    ProjectDO getProjectInfo(@Param("xmId") String xmId);

    /**
     * 获取数据最大ID
     * @param prefix
     * @return
     */
    String getMaxCodeById(@Param("prefix") String prefix);

    /**
     * 获取已发布最新项目信息
     * @return
     */
    ProjectDO getProject();
}