package com.unis.project.server.dao;

import com.unis.project.server.entity.ProjectFundApplicationDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 项目资金申请
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface ProjectFundApplicationDao extends Mapper<ProjectFundApplicationDO> {

    /**
     * 获取数据最大ID
     * @param prefix
     * @return
     */
    String getMaxCodeById(@Param("prefix") String prefix);

    /**
     * 新增
     * @param projectFundApplicationDO
     * @return
     */
    int insertSelective(ProjectFundApplicationDO projectFundApplicationDO);

    /**
     * 更新
     * @param projectFundApplicationDO
     * @return
     */
    int update(ProjectFundApplicationDO projectFundApplicationDO);

    /**
     * 查询详情
     * @param xmsqId
     * @return
     */
    List<ProjectFundApplicationDO> getProjectFundApplication(@Param("xmsqId") String xmsqId);

    /**
     *
     * @param xmzjsqId
     * @return
     */
    ProjectFundApplicationDO getProjectFundApplicationInfo(@Param("xmzjsqId") String xmzjsqId);
}