package com.unis.project.server.dao;

import com.unis.project.common.vo.ProjectMaterialDetailsQueryVO;
import com.unis.project.server.entity.ProjectMaterialDetailsDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 项目材料详情
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface ProjectMaterialDetailsDao extends Mapper<ProjectMaterialDetailsDO> {

    /**
     * 新增项目材料信息
     * @param projectMaterialDetailsDO
     * @return
     */
    int insert(ProjectMaterialDetailsDO projectMaterialDetailsDO);

    int insertSelective(ProjectMaterialDetailsDO record);

    /**
     * 更新项目材料信息
     * @param projectMaterialDetailsDO
     * @return
     */
    int update(ProjectMaterialDetailsDO projectMaterialDetailsDO);

    /**
     * 根据项目材料ID获取项目材料信息
     * @param xmclxqId
     * @return
     */
    ProjectMaterialDetailsDO getProjectMaterialDetailsInfo(@Param("xmclxqId") String xmclxqId);

    /**
     * 查询项目材料列表
     * @param sjId
     * @return
     */
    List<ProjectMaterialDetailsDO> getProjectMaterialDetailsListBySjId(@Param("sjId") String sjId);

    /**
     * 项目材料-查看补充材料列表
     * @param projectMaterialDetailsQueryVO
     * @return
     */
    List<ProjectMaterialDetailsDO> getProjectMaterialDetailsList(ProjectMaterialDetailsQueryVO projectMaterialDetailsQueryVO);

    /**
     * 获取数据最大ID
     * @param prefix
     * @return
     */
    String getMaxCodeById(@Param("prefix") String prefix);

    /**
     * 查看删除数据
     * @param projectMaterialDetailsQueryVO
     * @return
     */
    List<ProjectMaterialDetailsDO> getProjectMaterialDetailsDeleteList(ProjectMaterialDetailsQueryVO projectMaterialDetailsQueryVO);
}