package com.unis.project.server.dao;

import com.unis.project.common.vo.ProjectMonthlyProgressReportQueryVO;
import com.unis.project.common.vo.ProjectMonthlyProgressReportVO;
import com.unis.project.server.entity.ProjectMonthlyProgressReportDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 项目材料详情
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface ProjectMonthlyProgressReportDao extends Mapper<ProjectMonthlyProgressReportDO> {

    int insert(ProjectMonthlyProgressReportDO record);

    /**
     *
     * @param projectMonthlyProgressReportDO
     * @return
     */
    int insertSelective(ProjectMonthlyProgressReportDO projectMonthlyProgressReportDO);

    /**
     * 更新进度月报
     * @param projectMonthlyProgressReportDO
     * @return
     */
    int update(ProjectMonthlyProgressReportDO projectMonthlyProgressReportDO);

    /**
     * 获取进度月报列表
     * @param projectMonthlyProgressReportQueryVO
     * @return
     */
    List<ProjectMonthlyProgressReportDO> getProjectMonthlyProgressReportList(ProjectMonthlyProgressReportQueryVO projectMonthlyProgressReportQueryVO);

    /**
     * 查询详情
     * @param xmjdybId
     * @return
     */
    ProjectMonthlyProgressReportDO getProjectMonthlyProgressReportInfo(@Param("xmjdybId") String xmjdybId);

    /**
     * 根据月度查询详情
     * @param projectMonthlyProgressReportVO
     * @return
     */
    ProjectMonthlyProgressReportDO getProjectMonthlyProgressReport(ProjectMonthlyProgressReportVO projectMonthlyProgressReportVO);

    /**
     * 获取当天截止日期的月报数据
     * @return
     */
    ProjectMonthlyProgressReportDO getProjectMonthlyProgressReportByDate();

    /**
     * 获取数据最大ID
     * @param prefix
     * @return
     */
    String getMaxCodeById(@Param("prefix") String prefix);

}