package com.unis.project.server.dao;

import com.unis.project.common.vo.ProjectProgressBriefingVO;
import com.unis.project.server.entity.ProjectProgressBriefingDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 项目材料详情
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface ProjectProgressBriefingDao extends Mapper<ProjectProgressBriefingDO> {
    int insert(ProjectProgressBriefingDO record);

    /**
     * 新增进度简报
     * @param record
     * @return
     */
    int insertSelective(ProjectProgressBriefingDO record);

    /**
     * 更新进度简报
     * @param projectProgressBriefingDO
     * @return
     */
    int update(ProjectProgressBriefingDO projectProgressBriefingDO);

    /**
     * 查询进度简报列表
     * @param xmsqId
     * @return
     */
    List<ProjectProgressBriefingVO> getProjectMaterialDetailsListById(@Param("xmsqId") String xmsqId);

    /**
     * 查看当前进度简报记录
     * @param xmjdjbId
     * @return
     */
    ProjectProgressBriefingDO getProjectProgressBriefing(@Param("xmjdjbId") String xmjdjbId);

    /**
     * 查询验收前当前月度数据
     * @param xmjdybId
     * @return
     */
    List<ProjectProgressBriefingVO> getProjectMaterialDetailsListByxmjdybId(@Param("xmjdybId") String xmjdybId);

    /**
     * 查询当前月度数据对上报数据
     * @param projectProgressBriefingVO
     * @return
     */
    List<ProjectProgressBriefingVO> getProjectMaterialDetailsListByxmjdzt(ProjectProgressBriefingVO projectProgressBriefingVO);

    /**
     * 查询详情
     * @param projectProgressBriefingVO
     * @return
     */
    ProjectProgressBriefingDO getProjectProgressBriefingInfo(ProjectProgressBriefingVO projectProgressBriefingVO);

    /**
     * 获取待上报当天截止时间数据
     * @return
     */
    List<String> getProjectProgressBriefingIdList();

    /**
     * 获取数据最大ID
     * @param prefix
     * @return
     */
    String getMaxCodeById(@Param("prefix") String prefix);


}