package com.unis.project.server.dao;

import com.unis.project.common.vo.ProjectProposalReportVO;
import com.unis.project.server.entity.ProjectProposalReportDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

/**
 * 项目建议书报告
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface ProjectProposalReportDao extends Mapper<ProjectProposalReportDO> {

    /**
     * 新增
     * @param projectProposalReportDO
     * @return
     */
    int insertSelective(ProjectProposalReportDO projectProposalReportDO);

    /**
     * 更新
     * @param projectProposalReportDO
     * @return
     */
    int update(ProjectProposalReportDO projectProposalReportDO);

    /**
     * 查询详情
     * @param projectProposalReportVO
     * @return
     */
    ProjectProposalReportDO getProjectProposalReportInfo(ProjectProposalReportVO projectProposalReportVO);

    /**
     * 获取数据最大ID
     * @param prefix
     * @return
     */
    String getMaxCodeById(@Param("prefix") String prefix);
}