package com.unis.project.server.dao;

import com.unis.project.common.vo.ProjectTemplateQueryVO;
import com.unis.project.common.vo.ProjectTemplateVO;
import com.unis.project.server.entity.ProjectTemplateDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 项目模版
 * @author WangZL
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface ProjectTemplateDao extends Mapper<ProjectTemplateDO> {

    int insert(ProjectTemplateDO record);

    /**
     * 新增项目模版
     * @param projectTemplateDO
     * @return
     */
    int insertSelective(ProjectTemplateDO projectTemplateDO);

    /**
     * 更新项目模版
     * @param projectTemplateDO
     * @return
     */
    int update(ProjectTemplateDO projectTemplateDO);

    /**
     * 查询列表
     * @param projectTemplateQueryVO
     * @return
     */
    List<ProjectTemplateVO> getProjectTemplateList(ProjectTemplateQueryVO projectTemplateQueryVO);

    /**
     * 查看详情
     * @param xmmbId
     * @return
     */
    ProjectTemplateDO getProjectTemplateInfo(@Param("xmmbId") String xmmbId);

    /**
     * 获取数据最大ID
     * @param prefix
     * @return
     */
    String getMaxCodeById(@Param("prefix") String prefix);
}