package com.unis.project.server.domain;


import com.unis.project.common.vo.FileVO;
import com.unis.project.common.vo.ProjectAcceptanceMaterialTypeVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectAcceptanceMaterialTypeDomain
 * @ProjectName 持久化
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@Component
public class ProjectAcceptanceMaterialTypeDomain {

	@Autowired
	private FileDomain fileDomain;

	/**
	 * 新增项目材料信息列表
	 * @param projectAcceptanceMaterialTypeVOList
	 * @param sjId
	 * @return
	 */
	public List<ProjectAcceptanceMaterialTypeVO> insertProjectAcceptanceMaterialTypeList(List<ProjectAcceptanceMaterialTypeVO> projectAcceptanceMaterialTypeVOList, String sjId) {
		if (projectAcceptanceMaterialTypeVOList != null && projectAcceptanceMaterialTypeVOList.size() > 0) {
			for (ProjectAcceptanceMaterialTypeVO projectAcceptanceMaterialTypeVO : projectAcceptanceMaterialTypeVOList) {
				fileDomain.insertFileList(projectAcceptanceMaterialTypeVO.getXmclFileList(),sjId);
			}
		}
		return projectAcceptanceMaterialTypeVOList;
	}

	/**
	 * 更新项目材料信息
	 * @param projectAcceptanceMaterialTypeVOList
	 * @param sjId
	 */
	public int updateProjectAcceptanceMaterialTypeList(List<ProjectAcceptanceMaterialTypeVO> projectAcceptanceMaterialTypeVOList,String sjId) {
		int x = 0;
		if (projectAcceptanceMaterialTypeVOList != null && projectAcceptanceMaterialTypeVOList.size() > 0) {
			for (ProjectAcceptanceMaterialTypeVO projectAcceptanceMaterialTypeVO : projectAcceptanceMaterialTypeVOList) {
				fileDomain.updateFileList(projectAcceptanceMaterialTypeVO.getXmclFileList(),sjId);
			}
		}
		return x;
	}

	/**
	 * 查询项目材料列表
	 * @param sjId
	 * @return
	 */
	public List<ProjectAcceptanceMaterialTypeVO> getProjectAcceptanceMaterialTypeListBySjId(String sjId) {
		List<ProjectAcceptanceMaterialTypeVO> projectAcceptanceMaterialTypeVOList = new ArrayList<>();
		List<FileVO> fileList = fileDomain.getFileListBySjId(sjId);
		List<FileVO> xmclFileList = null;
		Map<Integer,List<FileVO>> projectAcceptanceMaterialTypeMap = new HashMap<>();
		if (fileList != null && fileList.size() > 0) {
			for (FileVO fileVO : fileList) {
				Integer fileType  = fileVO.getFileType();
				if (fileType != null){
					if (projectAcceptanceMaterialTypeMap != null && projectAcceptanceMaterialTypeMap.size() > 0) {
						xmclFileList = projectAcceptanceMaterialTypeMap.get(fileType);
						if (xmclFileList != null && xmclFileList.size() > 0) {
							xmclFileList.add(fileVO);
							projectAcceptanceMaterialTypeMap.put(fileType, xmclFileList);
						} else {
							xmclFileList = new ArrayList<>();
							xmclFileList.add(fileVO);
							projectAcceptanceMaterialTypeMap.put(fileType,xmclFileList);
						}
					} else {
						xmclFileList = new ArrayList<>();
						xmclFileList.add(fileVO);
						projectAcceptanceMaterialTypeMap.put(fileType,xmclFileList);
					}
				}
			}
		}
		for (Integer xmyscllx : projectAcceptanceMaterialTypeMap.keySet()){
			ProjectAcceptanceMaterialTypeVO projectAcceptanceMaterialTypeVO = new ProjectAcceptanceMaterialTypeVO();
			projectAcceptanceMaterialTypeVO.setXmyscllx(xmyscllx);
			projectAcceptanceMaterialTypeVO.setXmclFileList(projectAcceptanceMaterialTypeMap.get(xmyscllx));
			projectAcceptanceMaterialTypeVOList.add(projectAcceptanceMaterialTypeVO);
		}
		return projectAcceptanceMaterialTypeVOList;
	}

}
