package com.unis.project.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectApprovalAcceptanceDO
 * @ProjectName 项目立项验收实体类
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMLXYS")
public class ProjectApprovalAcceptanceDO extends BaseEntity {

    @ApiModelProperty(value = "项目立项验收id", notes ="项目立项验收id", required = false)
    @Id
    @Column(name = "XMLXYS_ID")
    private String xmlxysId;

    @ApiModelProperty(value = "项目申请id", notes ="项目申请id", required = false)
    @Column(name = "XMSQ_ID")
    private String xmsqId;

    @ApiModelProperty(value = "项目审批说明/项目验收申请", notes ="项目审批说明/项目验收申请", required = false)
    @Column(name = "XMSQSPYS")
    private String xmsqspys;

    @ApiModelProperty(value = "项目立项类型 1、立项审批。2、项目验收", notes ="项目立项类型：1、立项审批。2、项目验收", required = false)
    @Column(name = "XMLXLX")
    private Integer xmlxlx;

    @ApiModelProperty(value = "评审专家（组长）", notes ="评审专家（组长）", required = false)
    @Column(name = "PSZJZZ")
    private String pszjzz;

    @ApiModelProperty(value = "评审专家（成员）", notes ="评审专家（成员）", required = false)
    @Column(name = "PSZJZY")
    private String pszjzy;

    @ApiModelProperty(value = "评审结果状态 0、驳回。1、通过", notes ="评审结果状态 0、驳回。1、通过", required = false)
    @Column(name = "PSJGZT")
    private Integer psjgzt;

    @ApiModelProperty(value = "评审意见", notes ="评审意见", required = false)
    @Column(name = "PSYJ")
    private String psyj;

    @ApiModelProperty(value = "拟验收地点", notes ="拟验收地点", required = false)
    @Column(name = "NYSDD")
    private String nysdd;

    @ApiModelProperty(value = "审核验收地点", notes ="审核验收地点", required = false)
    @Column(name = "SHYSDD")
    private String shysdd;

    @ApiModelProperty(value = "审核验收时间", notes ="审核验收时间", required = false)
    @Column(name = "SHYSSJ")
    private Date shyssj;

    @ApiModelProperty(value = "组织机构id", notes ="组织机构id", required = false)
    @Column(name = "ORGID")
    private String orgid;

    @ApiModelProperty(value = "审批文号", notes ="审批文号", required = false)
    @Column(name = "approval_num")
    private String approvalNum;

}