package com.unis.project.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectMaterialDetailsDO
 * @ProjectName 项目材料详情实体类
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMCLXQ")
public class ProjectMaterialDetailsDO extends BaseEntity {

    @ApiModelProperty(value = "项目材料详情id", notes ="项目材料详情id", required = false)
    @Id
    @Column(name = "XMCLXQ_ID")
    private String xmclxqId;

    @ApiModelProperty(value = "项目申请id", notes ="项目申请id", required = false)
    @Column(name = "XMSQ_ID")
    private String xmsqId;

    @ApiModelProperty(value = "数据id", notes ="数据id", required = false)
    @Column(name = "SJ_ID")
    private String sjId;

    @ApiModelProperty(value = "项目材料名称", notes ="项目材料名称", required = false)
    @Column(name = "XMCLMC")
    private String xmclmc;

    @ApiModelProperty(value = "项目材料上报时间", notes ="项目材料上报时间", required = false)
    @Column(name = "XMCLSBSJ")
    private Date xmclsbsj;

    @ApiModelProperty(value = "项目验收材料类型：1、项目验收报告。2、文件类。3、合同类。4、项目变更情况。5、财务管理手续及票据",
            notes ="项目验收材料类型：1、项目验收报告。2、文件类。3、合同类。4、项目变更情况。5、财务管理手续及票据", required = false)
    @Column(name = "XMYSCLLX")
    private Integer xmyscllx;

    @ApiModelProperty(value = "项目材料类型：1、项目申请条件。2、项目申请材料。3、设计招标附件。4、项目建议书附件。5、可研报告附件。6、可研报告审核附件。7、立项审批附件。8、监理招标附件。9、建设招标附件。10、资金申请附件。11、项目验收附件。12、项目验收审核附件。13、项目补充材料附件。14、项目建议书审核附件",
            notes ="项目材料类型：1、项目申请条件。2、项目申请材料。3、设计招标附件。4、项目建议书附件。5、可研报告附件。6、可研报告审核附件。7、立项审批附件。8、监理招标附件。9、建设招标附件。10、资金申请附件。11、项目验收附件。12、项目验收审核附件。13、项目补充材料附件。14、项目建议书审核附件", required = false)
    @Column(name = "XMCLLX")
    private Integer xmcllx;

    @ApiModelProperty(value = "项目阶段", notes ="项目阶段", required = false)
    @Column(name = "XMJD")
    private String xmjd;

    @ApiModelProperty(value = "补充原因说明", notes ="补充原因说明", required = false)
    @Column(name = "XMBCYYSM")
    private String xmbcyysm;

    @ApiModelProperty(value = "补充材料是否提交：1、是。0、否", notes ="补充材料是否提交：1、是。0、否", required = false)
    @Column(name = "BCCLTJ")
    private Integer bccltj;

    @ApiModelProperty(value = "是否删除：1、是。0、否", notes ="是否删除：1、是。0、否", required = false)
    @Column(name = "ISDELETE")
    private Integer isdelete;

    @ApiModelProperty(value = "组织机构id", notes ="组织机构id", required = false)
    @Column(name = "ORGID")
    private String orgid;
}