package com.unis.project.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectProgressBriefingDO
 * @ProjectName 项目进度简报实体类
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMJDJB")
public class ProjectProgressBriefingDO extends BaseEntity {

    @ApiModelProperty(value = "进度简报id", notes ="进度简报id", required = false)
    @Id
    @Column(name = "XMJDJB_ID")
    private String xmjdjbId;

    @ApiModelProperty(value = "项目申请id", notes ="项目申请id", required = false)
    @Column(name = "XMSQ_ID")
    private String xmsqId;

    @ApiModelProperty(value = "进度月报id", notes ="进度月报id", required = false)
    @Column(name = "XMJDYB_ID")
    private String xmjdybId;

    @ApiModelProperty(value = "项目进度状态：1、待上报。2、已上报。3、未上报", notes ="项目进度状态：1、待上报。2、已上报。3、未上报", required = false)
    @Column(name = "XMJDZT")
    private Integer xmjdzt;

    @ApiModelProperty(value = "完成投资占比（%）", notes ="完成投资占比（%）", required = false)
    @Column(name = "WCTZZB")
    private BigDecimal wctzzb;

    @ApiModelProperty(value = "项目形象进度（%）", notes ="项目形象进度（%）", required = false)
    @Column(name = "XMXXJD")
    private BigDecimal xmxxjd;

    @ApiModelProperty(value = "本月建设内容", notes ="本月建设内容", required = false)
    @Column(name = "BYJZNR")
    private String byjznr;

    @ApiModelProperty(value = "进度上报时间", notes ="进度上报时间", required = false)
    @Column(name = "JDSBSJ")
    private Date jdsbsj;

    @ApiModelProperty(value = "组织机构id", notes ="组织机构id", required = false)
    @Column(name = "ORGID")
    private String orgid;

}