package com.unis.project.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectProposalReportDO
 * @ProjectName 项目建议书报告实体类
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMJYSBG")
public class ProjectProposalReportDO extends BaseEntity {

    @ApiModelProperty(value = "项目建议书报告id", notes ="项目建议书报告id", required = false)
    @Id
    @Column(name = "XMJYSBG_ID")
    private String xmjysbgId;

    @ApiModelProperty(value = "项目申请id", notes ="项目申请id", required = false)
    @Column(name = "XMSQ_ID")
    private String xmsqId;

    @ApiModelProperty(value = "项目名称", notes ="项目名称", required = false)
    @Column(name = "XMMC")
    private String xmmc;

    @ApiModelProperty(value = "项目建设单位", notes ="项目建设单位", required = false)
    @Column(name = "XMJSDW")
    private String xmjsdw;

    @ApiModelProperty(value = "项目主体公司", notes ="项目主体公司", required = false)
    @Column(name = "XMZTGS")
    private String xmztgs;

    @ApiModelProperty(value = "项目位置", notes ="项目位置", required = false)
    @Column(name = "XMWZ")
    private String xmwz;

    @ApiModelProperty(value = "项目内容", notes ="项目内容", required = false)
    @Column(name = "XMNR")
    private String xmnr;

    @ApiModelProperty(value = "预期情况", notes ="预期情况", required = false)
    @Column(name = "YQXG")
    private String yqxg;

    @ApiModelProperty(value = "项目投资情况和资金来源", notes ="项目投资情况和资金来源", required = false)
    @Column(name = "XMTZQKHZJLY")
    private String xmtzqkhzjly;

    @ApiModelProperty(value = "项目建设期", notes ="项目建设期", required = false)
    @Column(name = "XMJSQ")
    private String xmjsq;

    @ApiModelProperty(value = "项目文本类型：1、项目建议书。2、可研报告", notes ="项目文本类型：1、项目建议书。2、可研报告", required = false)
    @Column(name = "XMWBLX")
    private Integer xmwblx;

    @ApiModelProperty(value = "评审专家（组长）", notes ="评审专家（组长）", required = false)
    @Column(name = "PSZJZZ")
    private String pszjzz;

    @ApiModelProperty(value = "评审专家（成员）", notes ="评审专家（成员）", required = false)
    @Column(name = "PSZJZY")
    private String pszjzy;

    @ApiModelProperty(value = "评审结果状态 0、驳回。1、通过", notes ="评审结果状态 0、驳回。1、通过", required = false)
    @Column(name = "PSJGZT")
    private Integer psjgzt;

    @ApiModelProperty(value = "评审意见", notes ="评审意见", required = false)
    @Column(name = "PSYJ")
    private String psyj;

    @ApiModelProperty(value = "组织机构id", notes ="组织机构id", required = false)
    @Column(name = "ORGID")
    private String orgid;
}