package com.unis.project.server.service;

import com.unis.project.common.vo.FileQueryVO;
import com.unis.project.common.vo.FileVO;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title: FileService
 * @ProjectName FileService
 * @Description: TODO
 * @date 2019/7/22 17:47
 */
public interface FileService {

	/**
	 * 获取文件列表
	 * @param sjId
	 * @return
	 */
	List<FileVO> getFileListBySjId(String sjId);

	/**
	 * 获取文件列表
	 * @param fileQueryVO
	 * @return
	 */
	List<FileVO> getFileList(FileQueryVO fileQueryVO);

	/**
	 * 分页获取文件信息列表
	 * @param fileQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<FileVO> getFilePage(FileQueryVO fileQueryVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增文件信息
	 * @param fileVO
	 * @return
	 */
	FileVO insert(FileVO fileVO);

	/**
	 * 更新文件信息
	 * @param fileVO
	 * @return
	 */
	int update(FileVO fileVO);

	/**
	 * 根据文件ID删除文件信息
	 * @param id
	 * @return
	 */
	int delete(Integer id);

	/**
	 * 根据文件ID获取文件信息
	 * @param id
	 * @return 文件信息
	 */
	FileVO getFileInfoById(Integer id);

	/**
	 * 根据文件ID下发
	 * @param id
	 * @return
	 */
	int updateLowerStatus(Integer id);

	/**
	 * 新增文件信息列表
	 * @param fileVOList
	 * @param sjId
	 * @return
	 */
	void insertFileList(List<FileVO> fileVOList, String sjId);

	/**
	 * 更新文件信息
	 * @param fileVOList
	 * @param sjId
	 */
	void updateFileList(List<FileVO> fileVOList,String sjId) ;
}
