package com.unis.project.server.service;

import com.unis.project.common.vo.ProjectApplicationVO;
import com.unis.project.common.vo.ProjectQueryVO;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title: ProjectApplicationService
 * @ProjectName ProjectApplicationService
 * @Description: TODO
 * @date 2019/7/22 17:47
 */
public interface ProjectApplicationService {

	/**
	 * 获取项目申请列表
	 * @param projectQueryVO
	 * @return
	 */
	List<ProjectApplicationVO> getProjectApplicationList(ProjectQueryVO projectQueryVO);

	/**
	 * 分页获取项目申请信息列表
	 * @param projectQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<ProjectApplicationVO> getProjectApplicationPage(ProjectQueryVO projectQueryVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增项目申请信息
	 * @param projectApplicationVO
	 * @return
	 */
	ProjectApplicationVO insert(ProjectApplicationVO projectApplicationVO);

	/**
	 * 更新项目申请信息
	 * @param projectApplicationVO
	 * @return
	 */
	int update(ProjectApplicationVO projectApplicationVO);

	/**
	 * 根据项目申请ID删除项目申请信息
	 * @param xmsqId
	 * @return
	 */
	int delete(String xmsqId);

	/**
	 * 根据项目申请ID获取项目申请信息
	 * @param xmsqId
	 * @return 项目申请信息
	 */
	ProjectApplicationVO getProjectApplicationInfoById(String xmsqId);

	/**
	 * 获取资金申请提交后和验收申请提交前数据
	 * @return
	 */
    List<String> getProjectApplicationIdList();

	/**
	 * 获取当天截止时间的项目申请id
	 * @return
	 */
	List<String> getProjectInfoDate();
}
