package com.unis.project.server.service;

import com.unis.project.common.vo.ProjectMaterialDetailsQueryVO;
import com.unis.project.common.vo.ProjectMaterialDetailsVO;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title: ProjectMaterialDetailsService
 * @ProjectName ProjectMaterialDetailsService
 * @Description: TODO
 * @date 2019/7/22 17:47
 */
public interface ProjectMaterialDetailsService {

	/**
	 * 获取项目材料列表
	 * @param sjId
	 * @return
	 */
	List<ProjectMaterialDetailsVO> getProjectMaterialDetailsListBySjId(String sjId);

	/**
	 * 项目材料-新增列表
	 * @param projectMaterialDetailsVOList
	 * @param sjId
	 * @return
	 */
	List<ProjectMaterialDetailsVO> insertProjectMaterialDetailsList(List<ProjectMaterialDetailsVO> projectMaterialDetailsVOList, String sjId);

	/**
	 * 项目材料-更新列表
	 * @param projectMaterialDetailsVOList
	 * @param sjId
	 * @return
	 */
	int updateProjectMaterialDetailsList(List<ProjectMaterialDetailsVO> projectMaterialDetailsVOList, String sjId);

	/**
	 * 项目材料-查看补充材料列表
	 * @param projectMaterialDetailsQueryVO
	 * @return
	 */
	List<ProjectMaterialDetailsVO> getProjectMaterialDetailsList(ProjectMaterialDetailsQueryVO projectMaterialDetailsQueryVO);

	/**
	 * 新增
	 * @param projectMaterialDetailsVO
	 * @param sjId
	 * @return
	 */
	int insert(ProjectMaterialDetailsVO projectMaterialDetailsVO, String sjId);

	/**
	 * 更新
	 * @param projectMaterialDetailsVO
	 * @return
	 */
	int update(ProjectMaterialDetailsVO projectMaterialDetailsVO);

	/**
	 * 查看删除数据
	 * @param projectMaterialDetailsQueryVO
	 * @return
	 */
    List<ProjectMaterialDetailsVO> getProjectMaterialDetailsDeleteList(ProjectMaterialDetailsQueryVO projectMaterialDetailsQueryVO);
}
