package com.unis.project.server.service;

import com.unis.project.common.vo.ProjectMonthlyProgressReportQueryVO;
import com.unis.project.common.vo.ProjectMonthlyProgressReportVO;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title: ProjectMonthlyProgressReportService
 * @ProjectMonthlyProgressReportName ProjectMonthlyProgressReportService
 * @Description: TODO
 * @date 2019/7/22 17:47
 */
public interface ProjectMonthlyProgressReportService {

	/**
	 * 获取项目列表
	 * @param projectMonthlyProgressReportQueryVO
	 * @return
	 */
	List<ProjectMonthlyProgressReportVO> getProjectMonthlyProgressReportList(ProjectMonthlyProgressReportQueryVO projectMonthlyProgressReportQueryVO);

	/**
	 * 分页获取进度月报列表
	 * @param projectMonthlyProgressReportQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<ProjectMonthlyProgressReportVO> getProjectMonthlyProgressReportPage(ProjectMonthlyProgressReportQueryVO projectMonthlyProgressReportQueryVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增进度月报
	 * @param projectMonthlyProgressReportVO
	 * @return
	 */
	ProjectMonthlyProgressReportVO insert(ProjectMonthlyProgressReportVO projectMonthlyProgressReportVO);

	/**
	 * 更新进度月报
	 * @param projectMonthlyProgressReportVO
	 * @return
	 */
	int update(ProjectMonthlyProgressReportVO projectMonthlyProgressReportVO);

	/**
	 * 根据ID获取进度月报
	 * @param xmjdybId
	 * @return 
	 */
	ProjectMonthlyProgressReportVO getProjectMonthlyProgressReportInfoById(String xmjdybId);

	/**
	 * 获取当天截止日期的月报数据
	 * @return
	 */
    ProjectMonthlyProgressReportVO getProjectMonthlyProgressReportByDate();
}
