package com.unis.project.server.service;

import com.unis.project.common.vo.ProjectQueryVO;
import com.unis.project.common.vo.ProjectVO;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title: ProjectService
 * @ProjectName ProjectService
 * @Description: TODO
 * @date 2019/7/22 17:47
 */
public interface ProjectService {

	/**
	 * 获取项目列表
	 * @param projectQueryVO
	 * @return
	 */
	List<ProjectVO> getProjectList(ProjectQueryVO projectQueryVO);

	/**
	 * 分页获取项目信息列表
	 * @param projectQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<ProjectVO> getProjectPage(ProjectQueryVO projectQueryVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增项目信息
	 * @param projectVO
	 * @return
	 */
	ProjectVO insert(ProjectVO projectVO);

	/**
	 * 更新项目信息
	 * @param projectVO
	 * @return
	 */
	int update(ProjectVO projectVO);

	/**
	 * 根据项目ID删除项目信息
	 * @param xmId
	 * @return
	 */
	int delete(String xmId);

	/**
	 * 根据项目ID获取项目信息
	 * @param xmId
	 * @return 项目信息
	 */
	ProjectVO getProjectInfoById(String xmId);

	/**
	 * 发布
	 * @param xmId
	 * @return
	 */
	int updateReleaseStatus(String xmId);

	/**
	 * 获取已发布最新项目信息
	 * @return
	 */
    ProjectVO getProjectInfo();
}
