package com.unis.project.server.service;

import com.unis.project.common.vo.ProjectTemplateQueryVO;
import com.unis.project.common.vo.ProjectTemplateVO;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title: ProjectTemplateService
 * @ProjectName ProjectTemplateService
 * @Description: TODO
 * @date 2019/7/22 17:47
 */
public interface ProjectTemplateService {

	/**
	 * 获取项目模版列表
	 * @param projectTemplateQueryVO
	 * @return
	 */
	List<ProjectTemplateVO> getProjectTemplateList(ProjectTemplateQueryVO projectTemplateQueryVO);

	/**
	 * 分页获取项目模版列表
	 * @param projectTemplateQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<ProjectTemplateVO> getProjectTemplatePage(ProjectTemplateQueryVO projectTemplateQueryVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增项目模版
	 * @param projectTemplateVO
	 * @return
	 */
	ProjectTemplateVO insert(ProjectTemplateVO projectTemplateVO);

	/**
	 * 更新项目模版
	 * @param projectTemplateVO
	 * @return
	 */
	int update(ProjectTemplateVO projectTemplateVO);

	/**
	 * 根据ID删除项目模版
	 * @param xmmbId
	 * @return
	 */
	int delete(String xmmbId);

	/**
	 * 根据ID获取项目模版
	 * @param xmmbId
	 * @return 项目模版
	 */
	ProjectTemplateVO getProjectTemplateInfoById(String xmmbId);

}
