package com.unis.project.server.service.impl;

import com.github.pagehelper.PageHelper;
import com.unis.project.common.vo.FileQueryVO;
import com.unis.project.common.vo.FileVO;
import com.unis.project.server.dao.FileDao;
import com.unis.project.server.domain.FileDomain;
import com.unis.project.server.service.FileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title FileServiceImpl
 * @ProjectName FileServiceImpl
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@Service
public class FileServiceImpl implements FileService {

	@Autowired
	private FileDomain fileDomain;

	@Autowired
	private FileDao fileDao;

	/**
	 * 获取信息
	 */
	@Override
	public List<FileVO> getFileListBySjId(String sjId) {
		// TODO Auto-generated method stub
		return fileDomain.getFileListBySjId(sjId);
	}

	/**
	 * 获取信息
	 */
	@Override
	public List<FileVO> getFileList(FileQueryVO fileQueryVO) {
		// TODO Auto-generated method stub
		return fileDomain.getFileList(fileQueryVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<FileVO> getFilePage(FileQueryVO fileQueryVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return fileDomain.getFileList(fileQueryVO);
	}

	/**
	 * 添加
	 */
	@Override
	public FileVO insert(FileVO fileVO) {
		return fileDomain.insert(fileVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(FileVO fileVO) {
		// TODO Auto-generated method stub
		return fileDomain.update(fileVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(Integer id) {
		// TODO Auto-generated method stub
		FileVO fileVO = fileDomain.getFileInfoById(id);
		if (fileVO == null) {
			return -1;
		}
		fileVO.setStatus(0);
		return fileDomain.update(fileVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public FileVO getFileInfoById(Integer id) {
		// TODO Auto-generated method stub
		return fileDomain.getFileInfoById(id);
	}

	/**
	 * 更新文件下发状态
	 */
	@Override
	public int updateLowerStatus(Integer id) {
		FileVO fileVO = fileDomain.getFileInfoById(id);
		if (fileVO == null) {
			return -1;
		}
		fileVO.setFileStatus(1);
		return fileDomain.update(fileVO);
	}

	/**
	 * 新增文件信息列表
	 * @param fileVOList
	 * @param sjId
	 * @return
	 */
	public void insertFileList(List<FileVO> fileVOList, String sjId) {
		fileDomain.insertFileList(fileVOList, sjId);
	}

	/**
	 * 更新文件信息
	 * @param fileVOList
	 * @param sjId
	 */
	public void updateFileList(List<FileVO> fileVOList,String sjId) {
		fileDomain.updateFileList(fileVOList, sjId);
	}

}
