package com.unis.project.server.service.impl;

import com.github.pagehelper.PageHelper;
import com.unis.project.common.vo.ProjectApplicationVO;
import com.unis.project.common.vo.ProjectQueryVO;
import com.unis.project.server.domain.ProjectApplicationDomain;
import com.unis.project.server.service.ProjectApplicationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectApplicationServiceImpl
 * @ProjectName ProjectApplicationServiceImpl
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@Service
public class ProjectApplicationServiceImpl implements ProjectApplicationService {

	@Autowired
	private ProjectApplicationDomain projectApplicationDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<ProjectApplicationVO> getProjectApplicationList(ProjectQueryVO projectQueryVO) {
		// TODO Auto-generated method stub
		return projectApplicationDomain.getProjectApplicationList(projectQueryVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<ProjectApplicationVO> getProjectApplicationPage(ProjectQueryVO projectQueryVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return projectApplicationDomain.getProjectApplicationList(projectQueryVO);
	}

	/**
	 * 添加
	 */
	@Override
	public ProjectApplicationVO insert(ProjectApplicationVO projectApplicationVO) {
		return projectApplicationDomain.insert(projectApplicationVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(ProjectApplicationVO projectApplicationVO) {
		// TODO Auto-generated method stub
		return projectApplicationDomain.update(projectApplicationVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(String xmsqId) {
		// TODO Auto-generated method stub
		ProjectApplicationVO ProjectApplicationVO = projectApplicationDomain.getProjectApplicationInfoById(xmsqId);
		if (ProjectApplicationVO == null) {
			return -1;
		}
		ProjectApplicationVO.setStatus(0);
		return projectApplicationDomain.update(ProjectApplicationVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public ProjectApplicationVO getProjectApplicationInfoById(String xmsqId) {
		// TODO Auto-generated method stub
		return projectApplicationDomain.getProjectApplicationInfoById(xmsqId);
	}

	/**
	 * 获取资金申请提交后和验收申请提交前数据
	 * @return
	 */
	@Override
	public List<String> getProjectApplicationIdList() {
		return projectApplicationDomain.getProjectApplicationIdList();
	}

	/**
	 * 获取当天截止时间的项目申请id
	 * @return
	 */
	@Override
	public List<String> getProjectInfoDate() {
		return projectApplicationDomain.getProjectInfoDate();
	}

}
