package com.unis.project.server.service.impl;

import com.unis.project.common.vo.ProjectMaterialDetailsQueryVO;
import com.unis.project.common.vo.ProjectMaterialDetailsVO;
import com.unis.project.server.domain.ProjectMaterialDetailsDomain;
import com.unis.project.server.service.ProjectMaterialDetailsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectMaterialDetailsServiceImpl
 * @ProjectName ProjectMaterialDetailsServiceImpl
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@Service
public class ProjectMaterialDetailsServiceImpl implements ProjectMaterialDetailsService {

	@Autowired
	private ProjectMaterialDetailsDomain projectMaterialDetailsDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<ProjectMaterialDetailsVO> getProjectMaterialDetailsListBySjId(String sjId) {
		// TODO Auto-generated method stub
		return projectMaterialDetailsDomain.getProjectMaterialDetailsListBySjId(sjId);
	}

	/**
	 * 项目材料-新增列表
	 * @param projectMaterialDetailsVOList
	 * @param sjId
	 * @return
	 */
	@Override
	public List<ProjectMaterialDetailsVO> insertProjectMaterialDetailsList(List<ProjectMaterialDetailsVO> projectMaterialDetailsVOList, String sjId) {
		return projectMaterialDetailsDomain.insertProjectMaterialDetailsList(projectMaterialDetailsVOList, sjId);
	}

	/**
	 * 项目材料-更新列表
	 * @param projectMaterialDetailsVOList
	 * @param sjId
	 * @return
	 */
	@Override
	public int updateProjectMaterialDetailsList(List<ProjectMaterialDetailsVO> projectMaterialDetailsVOList, String sjId) {
		return projectMaterialDetailsDomain.updateProjectMaterialDetailsList(projectMaterialDetailsVOList, sjId);
	}

	/**
	 * 项目材料-查看补充材料列表
	 * @param projectMaterialDetailsQueryVO
	 * @return
	 */
	@Override
	public List<ProjectMaterialDetailsVO> getProjectMaterialDetailsList(ProjectMaterialDetailsQueryVO projectMaterialDetailsQueryVO) {
		return projectMaterialDetailsDomain.getProjectMaterialDetailsList(projectMaterialDetailsQueryVO);
	}

	/**
	 * 新增
	 * @param projectMaterialDetailsVO
	 * @param sjId
	 * @return
	 */
	@Override
	public int insert(ProjectMaterialDetailsVO projectMaterialDetailsVO, String sjId) {
		return projectMaterialDetailsDomain.insertProjectMaterialDetails(projectMaterialDetailsVO,sjId);
	}

	/**
	 * 更新
	 * @param projectMaterialDetailsVO
	 * @return
	 */
	@Override
	public int update(ProjectMaterialDetailsVO projectMaterialDetailsVO) {
		return projectMaterialDetailsDomain.update(projectMaterialDetailsVO);
	}

	/**
	 * 查看删除数据
	 * @param projectMaterialDetailsQueryVO
	 * @return
	 */
	@Override
	public List<ProjectMaterialDetailsVO> getProjectMaterialDetailsDeleteList(ProjectMaterialDetailsQueryVO projectMaterialDetailsQueryVO) {
		return projectMaterialDetailsDomain.getProjectMaterialDetailsDeleteList(projectMaterialDetailsQueryVO);
	}

}
