package com.unis.project.server.service.impl;

import com.github.pagehelper.PageHelper;
import com.unis.project.common.vo.ProjectMonthlyProgressReportQueryVO;
import com.unis.project.common.vo.ProjectMonthlyProgressReportVO;
import com.unis.project.server.domain.ProjectMonthlyProgressReportDomain;
import com.unis.project.server.service.ProjectMonthlyProgressReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectMonthlyProgressReportServiceImpl
 * @ProjectName ProjectMonthlyProgressReportServiceImpl
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@Service
public class ProjectMonthlyProgressReportServiceImpl implements ProjectMonthlyProgressReportService {

	@Autowired
	private ProjectMonthlyProgressReportDomain projectMonthlyProgressReportDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<ProjectMonthlyProgressReportVO> getProjectMonthlyProgressReportList(ProjectMonthlyProgressReportQueryVO projectMonthlyProgressReportQueryVO) {
		// TODO Auto-generated method stub
		return projectMonthlyProgressReportDomain.getProjectMonthlyProgressReportList(projectMonthlyProgressReportQueryVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<ProjectMonthlyProgressReportVO> getProjectMonthlyProgressReportPage(ProjectMonthlyProgressReportQueryVO projectMonthlyProgressReportQueryVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return projectMonthlyProgressReportDomain.getProjectMonthlyProgressReportList(projectMonthlyProgressReportQueryVO);
	}

	/**
	 * 添加
	 */
	@Override
	public ProjectMonthlyProgressReportVO insert(ProjectMonthlyProgressReportVO projectMonthlyProgressReportVO) {
		return projectMonthlyProgressReportDomain.insert(projectMonthlyProgressReportVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(ProjectMonthlyProgressReportVO projectMonthlyProgressReportVO) {
		// TODO Auto-generated method stub
		return projectMonthlyProgressReportDomain.update(projectMonthlyProgressReportVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public ProjectMonthlyProgressReportVO getProjectMonthlyProgressReportInfoById(String xmjdybId) {
		// TODO Auto-generated method stub
		return projectMonthlyProgressReportDomain.getProjectMonthlyProgressReportInfoById(xmjdybId);
	}

	/**
	 * 获取当天截止日期的月报数据
	 * @return
	 */
	@Override
	public ProjectMonthlyProgressReportVO getProjectMonthlyProgressReportByDate() {
		return projectMonthlyProgressReportDomain.getProjectMonthlyProgressReportByDate();
	}

}
