package com.unis.project.server.service.impl;

import com.github.pagehelper.PageHelper;
import com.unis.project.common.vo.ProjectQueryVO;
import com.unis.project.common.vo.ProjectVO;
import com.unis.project.server.domain.ProjectDomain;
import com.unis.project.server.service.ProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectServiceImpl
 * @ProjectName ProjectServiceImpl
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@Service
public class ProjectServiceImpl implements ProjectService {

	@Autowired
	private ProjectDomain projectDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<ProjectVO> getProjectList(ProjectQueryVO projectQueryVO) {
		// TODO Auto-generated method stub
		return projectDomain.getProjectList(projectQueryVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<ProjectVO> getProjectPage(ProjectQueryVO projectQueryVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return projectDomain.getProjectList(projectQueryVO);
	}

	/**
	 * 添加
	 */
	@Override
	public ProjectVO insert(ProjectVO projectVO) {
		return projectDomain.insert(projectVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(ProjectVO projectVO) {
		// TODO Auto-generated method stub
		return projectDomain.update(projectVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(String xmId) {
		// TODO Auto-generated method stub
		ProjectVO projectVO = projectDomain.getProjectInfoById(xmId);
		if (projectVO == null) {
			return -1;
		}
		projectVO.setStatus(0);
		return projectDomain.update(projectVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public ProjectVO getProjectInfoById(String xmId) {
		// TODO Auto-generated method stub
		return projectDomain.getProjectInfoById(xmId);
	}

	/**
	 * 发布
	 */
	@Override
	public int updateReleaseStatus(String xmId) {
		ProjectVO projectVO = projectDomain.getProjectInfoById(xmId);
		if (projectVO == null) {
			return -1;
		}
		projectVO.setFbzt(1);
		projectVO.setFbsj(new Date());
		return projectDomain.update(projectVO);
	}

	/**
	 * 获取已发布最新项目信息
	 * @return
	 */
	@Override
	public ProjectVO getProjectInfo() {
		return projectDomain.getProjectInfo();
	}

}
