package com.unis.project.server.service.impl;

import com.github.pagehelper.PageHelper;
import com.unis.project.common.vo.ProjectTemplateQueryVO;
import com.unis.project.common.vo.ProjectTemplateVO;
import com.unis.project.server.domain.ProjectTemplateDomain;
import com.unis.project.server.service.ProjectTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectTemplateServiceImpl
 * @ProjectName ProjectTemplateServiceImpl
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@Service
public class ProjectTemplateServiceImpl implements ProjectTemplateService {

	@Autowired
	private ProjectTemplateDomain projectTemplateDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<ProjectTemplateVO> getProjectTemplateList(ProjectTemplateQueryVO ProjectTemplateQueryVO) {
		// TODO Auto-generated method stub
		return projectTemplateDomain.getProjectTemplateList(ProjectTemplateQueryVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<ProjectTemplateVO> getProjectTemplatePage(ProjectTemplateQueryVO ProjectTemplateQueryVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return projectTemplateDomain.getProjectTemplateList(ProjectTemplateQueryVO);
	}

	/**
	 * 添加
	 */
	@Override
	public ProjectTemplateVO insert(ProjectTemplateVO ProjectTemplateVO) {
		return projectTemplateDomain.insert(ProjectTemplateVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(ProjectTemplateVO ProjectTemplateVO) {
		// TODO Auto-generated method stub
		return projectTemplateDomain.update(ProjectTemplateVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(String xmmbId) {
		// TODO Auto-generated method stub
		ProjectTemplateVO projectTemplateVO = projectTemplateDomain.getProjectTemplateInfoById(xmmbId);
		if (projectTemplateVO == null) {
			return -1;
		}
		projectTemplateVO.setStatus(0);
		return projectTemplateDomain.update(projectTemplateVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public ProjectTemplateVO getProjectTemplateInfoById(String xmmbId) {
		// TODO Auto-generated method stub
		return projectTemplateDomain.getProjectTemplateInfoById(xmmbId);
	}

}
