package com.unis.project.server.service.impl.mq;

import com.unis.project.common.vo.backlog.BacklogConstant;
import com.unis.project.server.service.mq.BacklogMQService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 
 * @Description：待办服务实现
 * @author：王帅
 * @date: 2020年2月27日
 */
@Service
@Slf4j
public class BacklogMQServiceImpl implements BacklogMQService {

	@Autowired
	private RabbitTemplate amqpTemplate;

	@Override
	public void sendMsg(Object obj, String type) {
		try {
			this.amqpTemplate.convertAndSend(BacklogConstant.BACKLOG_EXCHANGE, "backlog." + type, obj);
		} catch (Exception e) {
			log.error("{}待办消息发送异常,待办实体{}", type, obj, e);
		}
	}

}
